#include "mainwindow.h"
#include <QSpinBox>
#include <QVBoxLayout>

MainWindow::MainWindow(QWidget *parent) : QMainWindow(parent)
{
    scrollArea = new QScrollArea;
    testWidget = new TestWidget;
    scrollArea->setWidget(testWidget);

    QSpinBox *spin = new QSpinBox;
    spin->setRange(1, LINES);
    connect(spin, SIGNAL(valueChanged(int)), testWidget, SLOT(gotoLine(int)));

    QWidget *central = new QWidget(this);
    QVBoxLayout *layout = new QVBoxLayout(central);
    layout->addWidget(spin);
    layout->addWidget(scrollArea);

    setCentralWidget(central);
}
